ScXMLMinimumEvaluator(3)

NAME
ScXMLMinimumEvaluator - implements the evaluator for the minimum profile.

SYNOPSIS

#include <Inventor/scxml/ScXMLMinimumEvaluator.h>

Inherits ScXMLEvaluator.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setStateMachine (ScXMLStateMachine *)
virtual ScXMLDataObj * evaluate (const char *expression) const
virtual SbBool setAtLocation (const char *location, ScXMLDataObj *obj)
virtual ScXMLDataObj * locate (const char *location) const
virtual void clearTemporaryVariables (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the evaluator for the minimum profile.

•   In()

Member Function Documentation

  SoType ScXMLMinimumEvaluator::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLEvaluator.

  void ScXMLMinimumEvaluator::setStateMachine (ScXMLStateMachine * sm) [virtual]
Override to perform actions when installed on a state machine.

Reimplemented from ScXMLEvaluator.

  ScXMLDataObj * ScXMLMinimumEvaluator::evaluate (const char * expression) const [virtual]
Returns the result of evaluating the expression. The only expression that is allowed is the In({ID}) predicate, and the result should, if all things go as they should, be of type ScXMLBoolDataObj.

Implements ScXMLEvaluator.

  SbBool ScXMLMinimumEvaluator::setAtLocation (const char * location, ScXMLDataObj * obj) [virtual]
Returns FALSE. The minimum profile does not implement the data module.

Implements ScXMLEvaluator.

  ScXMLDataObj * ScXMLMinimumEvaluator::locate (const char * location) const [virtual]
Returns NULL. The minimum profile does not implement the data module.

Implements ScXMLEvaluator.

  void ScXMLMinimumEvaluator::clearTemporaryVariables (void) [virtual]
Does nothing.

Reimplemented from ScXMLEvaluator.

Author

Generated automatically by Doxygen for Coin from the source code.